CCmdFlagOption Class Reference
Command line and parameter parsing

Command line option that translates a string to a set of flags. More...

`#include <mia/core/cmdlineparser.hh>`

Inheritance diagram for CCmdFlagOption:
[legend]
Collaboration diagram for CCmdFlagOption:
[legend]

## Public Member Functions

| CCmdFlagOption (int &val, const CFlagString &map, char short_opt, const char *long_opt, const char *long_help, const char *short_help, CCmdOptionFlags flags=CCmdOptionFlags::none)
Public Member Functions inherited from CCmdOption
void | add_option (CShortoptionMap &sm, CLongoptionMap &lm)
void | add_option_xml (CXMLElement &parent, HandlerHelpMap &handler_map) const
| CCmdOption (char short_opt, const char *long_opt, const char *long_help, const char *short_help, CCmdOptionFlags flags)
void | get_long_help (std::ostream &os) const
std::string | get_long_help_xml (CXMLElement &parent, HandlerHelpMap &handler_map) const
const char * | get_long_option () const
size_t | get_needed_args () const
void | get_opt_help (std::ostream &os) const
char | get_short_option () const
const std::string | get_value_as_string () const
bool | is_required () const
const char * | long_help () const
void | post_set ()
void | print_short_help (std::ostream &os) const
void | set_value (const char *str_value)
void | write_value (std::ostream &os) const
virtual | ~CCmdOption ()
| ensure virtual destruction

## Additional Inherited Members

Protected Member Functions inherited from CCmdOption
void | clear_required ()
| clear the "required" flag
bool | has_flag (CCmdOptionFlags test_flags) const
void | xmlhelp_set_attribute (CXMLElement &node, const char *name, const std::string &value) const

## Detailed Description

Command line option that translates a string to a set of flags.

Definition at line 91 of file cmdlineparser.hh.

## Constructor & Destructor Documentation

## CCmdFlagOption()

CCmdFlagOption::CCmdFlagOption | ( | int & | val,
|  | const CFlagString & | map,
|  | char | short_opt,
|  | const char * | long_opt,
|  | const char * | long_help,
|  | const char * | short_help,
|  | CCmdOptionFlags | flags = CCmdOptionFlags::none )

Constructor of the command option

Parameters

  [in,out] | val | variable to hold the parsed option value - pass in the default value -
  | map | the lookup table for the option
  | short_opt | short option name (or 0)
  | long_opt | long option name (must not be NULL)
  | long_help | long help string (must not be NULL)
  | short_help | short help string
  | flags | if this is set to true, extra checking will be done weather the option is really set

References CCmdOption::long_help(), and none.

The documentation for this class was generated from the following file:

- cmdlineparser.hh